---
title: "Simple Detector"
---

## Setup 

```bash
git clone https://eicweb.phy.anl.gov/Argonne_EIC/tutorial/tutorial_part1.git
cd tutorial_part1
```

You will find the following files and directories.
```shell
.
├── elements.xml
├── gem_tracker.xml
├── gps.mac
├── materials.xml
├── README.md
├── rootlogon.C
├── run_example
└── scripts
    ├── example_Acts.cxx
    ├── example_cell_size.cxx
    ├── example_digi.cxx
    ├── example_hit_recon.cxx
    ├── example_seg_size.cxx
    ├── example_tracking.cxx
    └── mag_field.cxx
```

The files `materials.xml`, `elements.xml`,  and `gem_tracker.xml` are the 
compact detector description files. 




https://dd4hep.web.cern.ch/dd4hep/usermanuals/DD4hepManual/DD4hepManual.pdf

## Run the geant4 simulation

```bash
ddsim  --runType run  --enableG4GPS \
   --macroFile gps.mac \
   --compactFile ./gem_tracker.xml \
   --outputFile gem_tracker_sim.root 
```

## 
Supports multiple languages.

The following is a code block with diff. Lines with `+` highlighted in green shade indicating an addition. Lines with `-` highlighted in red shade indicating a deletion.

```javascript
- const data = ['1','2'];
+ const data = [1,2];
```

